#pragma once
#include "keymap.h"

#define LAYER_DESKTOP LAYOUT_ergodox(\
	KC_TRANSPARENT,       LGUI(KC_1),             LGUI(KC_2),            LGUI(KC_3),             LGUI(KC_4),        LGUI(KC_5),     TO(LAYER_MAIN_IDX),\
	KC_NO,                KC_NO,                  LGUI(LCTL(KC_ENTER)),  KC_NO,                  KC_NO,             LGUI(KC_T),     KC_NO,\
	KC_NO,                LGUI(KC_PLUS),          LGUI(KC_MINUS),        KC_NO,                  LGUI(KC_F),        LGUI(KC_G),\
	KC_NO,                KC_NO,                  KC_NO,                 LGUI(LSFT(KC_C)),       LGUI(KC_N),        LGUI(KC_M),     KC_NO,\
	TO(LAYER_MAIN_IDX),   KC_NO,                  KC_NO,                 KC_NO,                  KC_NO,\
\
	                KC_NO,           M_RESETWM,\
	                                 KC_NO,\
	LGUI(KC_ENTER), LGUI(KC_BSLASH), KC_NO,\
\
\
	M_SHUTDOWN,   KC_NO,   KC_NO,               KC_NO,                 KC_NO,    KC_NO,          KC_NO,\
	KC_NO,        KC_NO,   KC_NO,               KC_NO,                 KC_NO,    LGUI(KC_P),     KC_NO,\
	              KC_NO,   KC_NO,               KC_NO,                 KC_NO,    KC_NO,          KC_NO,\
	KC_NO,        KC_NO,   LGUI(KC_H),          LGUI(KC_J),            KC_NO,    KC_NO,          KC_NO,\
	                       KC_NO,               KC_NO,                 KC_NO,    KC_NO,          KC_NO,\
\
	KC_MEDIA_PREV_TRACK,  KC_MEDIA_NEXT_TRACK,\
	KC_AUDIO_VOL_UP,\
	KC_AUDIO_VOL_DOWN,    KC_MEDIA_STOP,        KC_MEDIA_PLAY_PAUSE\
)

#define LAYER_DESKTOP_LEDS LEDS_ergodox(\
	LC_PINK,      LC_PINK,      LC_PINK,      LC_PINK,      LC_PINK, \
	LC_OFF,       LC_GREEN,      LC_OFF,       LC_OFF,       LC_CYAN, \
	LC_GREEN,     LC_GREEN,     LC_OFF,       LC_CYAN,      LC_CYAN, \
	LC_OFF,       LC_OFF,       LC_ORANGE,    LC_CYAN,      LC_CYAN, \
	LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF, \
	\
	LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF, \
	LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF,       LC_ORANGE, \
	LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF, \
	LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF, \
	              LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF  \
)
